Summary:		vortexbox-player
Name:			vortexbox-player
Version:		1.0
Release:		1%{?dist}
License:		GPL
Group:      	System/Servers
Vendor:     	vortexbox.org
Packager:   	admin@tvortexbox.org
URL:        	http://www.vortexbox.org
Source0:		%{name}-%{version}.tar.gz
Source1:		%{name}-%{version}-config.tar.gz
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root
AutoReqProv:	no

BuildRequires:	libmpdclient-devel
BuildRequires:	libevent-devel
Requires:		libmpdclient
Requires:		mpd >= 0.15.6
Requires:		libevent
Requires:		squeezeboxserver
Requires:		daemonize
Requires:		vortexbox vb-GUI

%description
Software music player for Logitech SqueezeBox Server. Uses mpd as a player with VortexBox

%prep

%setup

%build
%configure
make

%install
%{makeinstall}
cd %{buildroot}
tar xvf %{SOURCE1}

%post
mkdir -p /etc/vortexbox-player
chkconfig --add vortexbox-player
/usr/bin/php /opt/vortexbox/mpd_config.php  >/dev/null 2>&1

if [ ! -e /etc/asound.state ]; then
	/sbin/alsactl store
fi

%clean
rm -rf %{buildroot}

%files
%attr(0755,root,root)	/usr/bin/vortexbox-player
%attr(0755,root,root)	/etc/*
%doc /usr/share/doc/vortexbox-player/*


%changelog
* Wed Dec 15 2010 <admin@vortexbox.org>
- resets sound cards to previous settings

* Tue May 11 2010 <admin@vortexbox.org>
- Fixed spec so it dosn't overwrite mpd configs

* Sun May 09 2010 <admin@vortexbox.org>
- fix for sync bug

* Thu Feb 04 2010 <admin@vortexbox.org>
- Fixed the volume control bug.

* Thu Dec 31 2009 <admin@vortexbox.org>
- inital release



